Package org.springframework.security.web.server.util.matcher

# Class OrServerWebExchangeMatcher

java.lang.Object
org.springframework.security.web.server.util.matcher.OrServerWebExchangeMatcher

All Implemented Interfaces:
  `ServerWebExchangeMatcher`

public class OrServerWebExchangeMatcher extends Object implements ServerWebExchangeMatcher
Matches if any of the provided `ServerWebExchangeMatcher` match

Since:
  5.0
See Also:
  - `AndServerWebExchangeMatcher`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher

`ServerWebExchangeMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`OrServerWebExchangeMatcher(List<ServerWebExchangeMatcher> matchers)`
`OrServerWebExchangeMatcher(ServerWebExchangeMatcher... matchers)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if a request matches or not
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OrServerWebExchangeMatcher

public OrServerWebExchangeMatcher(List<ServerWebExchangeMatcher> matchers)

### OrServerWebExchangeMatcher

public OrServerWebExchangeMatcher(ServerWebExchangeMatcher... matchers)

## Method Details

### matches

public reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> matches(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerWebExchangeMatcher`
Determines if a request matches or not

Specified by:
  `matches` in interface `ServerWebExchangeMatcher`
Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`